## onetime 0.1.0

=== DESCRIPTION ===
Package: onetime
Type: Package
Title: Run Code Only Once
Version: 0.1.0
Authors@R: 
    person(given = "David",
           family = "Hugh-Jones",
           role = c("aut", "cre"),
           email = "davidhughjones@gmail.com")
Author: David Hugh-Jones [aut, cre]
Maintainer: David Hugh-Jones <davidhughjones@gmail.com>
Description: Allows code to be run only once on a given computer, using
  lockfiles. Typical use cases include startup messages shown only when a
  package is loaded for the very first time.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.2
Imports: rappdirs, filelock
URL: https://github.com/hughjonesd/onetime,
        https://hughjonesd.github.io/onetime/
BugReports: https://github.com/hughjonesd/onetime/issues
Suggests: callr, covr, devtools, mockr, rlang, testthat (>= 2.1.0),
        withr
NeedsCompilation: no
Packaged: 2022-11-21 18:16:16 UTC; david
Repository: CRAN
Date/Publication: 2022-11-22 14:00:05 UTC

## onetime 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: onetime
 Type: Package
 Title: Run Code Only Once
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     person(given = "David",
            family = "Hugh-Jones",
@@ -14,14 +14,15 @@
   package is loaded for the very first time.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Imports: rappdirs, filelock
 URL: https://github.com/hughjonesd/onetime,
         https://hughjonesd.github.io/onetime/
 BugReports: https://github.com/hughjonesd/onetime/issues
-Suggests: callr, covr, devtools, mockr, rlang, testthat (>= 2.1.0),
-        withr
+Suggests: callr, covr, devtools, doctest (>= 0.1.0), knitr, lifecycle,
+        mockr, rlang, rmarkdown, testthat (>= 2.1.0), withr
+VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-11-21 18:16:16 UTC; david
+Packaged: 2023-09-03 02:31:00 UTC; davidhugh-jones
 Repository: CRAN
-Date/Publication: 2022-11-22 14:00:05 UTC
+Date/Publication: 2023-09-03 02:40:02 UTC

## onetime 1.73

=== Makefile ===
# Makefile for OTP.

all: check

test: check
check:
	@./check.sh

install:
	@install -m755 onetime $(DESTDIR)/usr/bin/

uninstall:
	@rm -v $(DESTDIR)/usr/bin/onetime

distclean: clean
clean:
	@rm -rf index.html test-msg.* *~ onetime-*.* onetime-*.tar.gz

dist:
	@rm -rf ./onetime-`./onetime --version | cut -f 3 -d " "`
	@rm -f ./onetime-`./onetime --version | cut -f 3 -d " "`.tar.gz
	@svn export -q . ./onetime-`./onetime --version | cut -f 3 -d " "`
	@rm -rf ./onetime-`./onetime --version | cut -f 3 -d " "`/debian
	@tar zcvf ./onetime-`./onetime --version | cut -f 3 -d " "`.tar.gz \
                  ./onetime-`./onetime --version | cut -f 3 -d " "`

www: dist
	@./onetime --intro > intro.tmp
	@./onetime --help  > help.tmp
	@# Escape and indent the --intro and --help output.
	@sed -e 's/\&/\&amp;/g' < intro.tmp > intro.tmp.tmp
	@mv intro.tmp.tmp intro.tmp
	@sed -e 's/</\&lt;/g' < intro.tmp > intro.tmp.tmp
	@mv intro.tmp.tmp intro.tmp
	@sed -e 's/>/\&gt;/g' < intro.tmp > intro.tmp.tmp
	@mv intro.tmp.tmp intro.tmp
	@sed -e 's/^\(.*\)/   \1/g' < intro.tmp > intro.tmp.tmp
	@mv intro.tmp.tmp intro.tmp
	@sed -e 's/\&/\&amp;/g' < help.tmp > help.tmp.tmp
	@mv help.tmp.tmp help.tmp
	@sed -e 's/</\&lt;/g' < help.tmp > help.tmp.tmp
	@mv help.tmp.tmp help.tmp
	@sed -e 's/>/\&gt;/g' < help.tmp > help.tmp.tmp
	@mv help.tmp.tmp help.tmp
	@sed -e 's/^\(.*\)/   \1/g' < help.tmp > help.tmp.tmp
	@mv help.tmp.tmp help.tmp
	@cat index.html-top     \
             intro.tmp          \
             index.html-middle  \
             help.tmp           \
             index.html-bottom  \
           > index.html
	@# Substitute in the latest version number.
	@./onetime --version | cut -f 3 -d " " > version.tmp
	@sed -e "s/ONETIMEVERSION/`cat version.tmp`/g" \
           < index.html > index.html.tmp
	@# Make the GPG link live.
	@mv index.html.tmp index.html
	@sed -e 's/GPG,/<a href="http:\/\/www.gnupg.org\/">GPG<\/a>,/g' \
           < index.html > index.html.tmp
	@mv index.html.tmp index.html
	@# Make the Wikipedia link live.
	@sed -e 's/ http:\/\/en.wikipedia.org\/wiki\/One-time_pad / <a href="http:\/\/en.wikipedia.org\/wiki\/One-time_pad">http:\/\/en.wikipedia.org\/wiki\/One-time_pad<\/a> /g' \
           < index.html > index.html.tmp
	@mv index.html.tmp index.html
	@# Make the SVN and CVS links live.
	@sed -e 's/Subversion or CVS,/<a href="http:\/\/subversion.tigris.org\/">Subversion<\/a> or <a href="http:\/\/www.nongnu.org\/cvs\/">CVS<\/a>,/g' \
           < index.html > index.html.tmp
	@mv index.html.tmp index.html
	@rm intro.tmp help.tmp version.tmp

deb: dist
	(cd debian; ./make-deb.sh)

## onetime 1.122

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 	@rm -rf ./onetime-`./onetime --version | cut -f 3 -d " "`/debian
 	@tar zcvf ./onetime-`./onetime --version | cut -f 3 -d " "`.tar.gz \
                   ./onetime-`./onetime --version | cut -f 3 -d " "`
+	@zip -qr ./onetime-`./onetime --version | cut -f 3 -d " "`.zip \
+                 ./onetime-`./onetime --version | cut -f 3 -d " "`
 
 www: dist
 	@./onetime --intro > intro.tmp
@@ -54,8 +56,11 @@
 	@./onetime --version | cut -f 3 -d " " > version.tmp
 	@sed -e "s/ONETIMEVERSION/`cat version.tmp`/g" \
            < index.html > index.html.tmp
+	@mv index.html.tmp index.html
+	@sed -e "s/ONETIMEVERSION/`cat version.tmp`/g" \
+           < get.html-tmpl > get.html.tmp
+	@mv get.html.tmp get.html
 	@# Make the GPG link live.
-	@mv index.html.tmp index.html
 	@sed -e 's/GPG,/<a href="http:\/\/www.gnupg.org\/">GPG<\/a>,/g' \
            < index.html > index.html.tmp
 	@mv index.html.tmp index.html
@@ -69,5 +74,7 @@
 	@mv index.html.tmp index.html
 	@rm intro.tmp help.tmp version.tmp
 
+debian: deb
 deb: dist
 	(cd debian; ./make-deb.sh)
+	@rm -rf onetime-1.*

=== debian/changelog ===
onetime (1.122-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:20 +0100

onetime (1.122-1ubuntu1) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:44:17 +0100

onetime (1.122-1) unstable; urgency=low

  * New upstream release.
    - improved --intro documentation

 -- Karl Fogel <kfogel@red-bean.com>  Sat, 13 Aug 2011 11:42:00 -0400

onetime (1.111-1) unstable; urgency=low

  * New upstream release.
    - uses 'hashlib' module instead of 'sha1' to avoid deprecation warning
    - various Makefile improvements that don't really affect users
    - remove bashism in check.sh, as per Debian NMU change

 -- Karl Fogel <kfogel@red-bean.com>  Sat, 06 Aug 2011 01:27:00 -0400

onetime (1.73-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Fix bashism in check.sh and add missing build-dep on python. Patch
     from Michael Bienia. (Closes: #515002)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 02 Oct 2009 17:19:47 +0200

onetime (1.73-1) unstable; urgency=low

  * Initial release (Closes: #490240)

 -- Karl Fogel <kfogel@red-bean.com>  Mon, 14 Jul 2008 22:59:59 -0400

=== debian/control ===
Source: onetime
Section: misc
Priority: extra
Maintainer: Karl Fogel <kfogel@red-bean.com>
Build-Depends: debhelper (>= 5), python2
Standards-Version: 3.9.2
Homepage: http://www.red-bean.com/onetime/
Vcs-Svn: http://svn.red-bean.com/repos/onetime/trunk/
Vcs-Browser: http://svn.red-bean.com/viewcvs/onetime/trunk/

Package: onetime
Architecture: any
Depends: python2, ${misc:Depends}
Description: command-line encryption using the "one-time pad" method
 OneTime is an encoder/decoder that uses the one-time pad algorithm.
 .
 OneTime is a simple one-time pad encryption program that takes care
 of some of the pad-management bureaucracy for you.  It avoids
 re-using pad data (except when decrypting the same encrypted message
 twice, of course) by maintaining records of pad usage.
 .
 If you keep your ~/.onetime configuration area under version control
 with Subversion or CVS, OneTime will automatically update it to get
 the latest pad usage records before using a pad, and will commit new
 records after using a pad.  Thus, by sharing a single configuration
 area via version control, you and your interlocutors can more easily
 avoid the sin of pad range reuse.
 .
 See http://www.red-bean.com/onetime for more information about OneTime,
 or run 'onetime --help' for detailed usage.  For more information about
 one-time pads in general, see http://en.wikipedia.org/wiki/One-time_pad.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/onetime.
	$(MAKE) DESTDIR=$(CURDIR)/debian/onetime install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://www.red-bean.com/onetime/onetime-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/onetime-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/onetime-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/onetime/onetime-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html onetime-(.*)\.tar\.gz
